Bug 239631 - "Line Endings" option not respected for license.txt
"Line Endings" option not respected for license.txt
Status: RESOLVED FIXED
Product: contrib
Classification: Unclassified
Component: License Changer
7.4
PC Windows XP
: P2 (vote)
: TBD
Assigned To: nhoffmann
issues@contrib
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-18 22:27 UTC by err
Modified: 2014-01-13 13:33 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description err 2013-12-18 22:27:33 UTC
Given the "Line Endings" options set to "Force Newline", working on java file.

I tried this in two cases
    (1) File initially had NL endings
    (2) File initially had CRLF endings

In both cases when licensechanger completed, the newly inserted license header
had CRLF endings. The rest of the file had NL endings.

Interestingly, case (2) shows that the option mostly works and only fails for
stuff from license.txt. BTW, the license.txt file on disk had NL endings.
Comment 1 nhoffmann 2013-12-20 09:23:03 UTC
Thanks for spotting this bug. The issue should be resolved within the next version.
Comment 2 nhoffmann 2014-01-13 13:33:47 UTC
Fixed in changeset http://hg.netbeans.org/main/contrib/rev/129e2a086639.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo